MyGUI_LogManager.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include "MyGUI_LogStream.h"`
`#include "MyGUI_LogSource.h"`
`#include "MyGUI_Diagnostic.h"`
`#include <memory>`
`#include <vector>`

Go to the source code of this file.

## Data Structures

class | MyGUI::LogManager

## Namespaces

namespace | MyGUI

## Macros

#define | MYGUI_LOGGING(section, level, text)

## Macro Definition Documentation

## MYGUI_LOGGING

#define MYGUI_LOGGING | ( |  | section,
|  |  | level,
|  |  | text )

Value:
MyGUI::LogManager::getInstance().log( \
section, \
MyGUI::LogLevel::level, \
MyGUI::LogStream() << text << MyGUI::LogStream::End(), \
__FILE__, \
__LINE__)
MyGUI::LogManager::getInstance
static LogManager & getInstance()
Definition MyGUI_LogManager.cpp:32
MyGUI::LogManager::log
void log(std::string_view _section, LogLevel _level, std::string_view _message, std::string_view _file, int _line)
Definition MyGUI_LogManager.cpp:49
MyGUI::LogStream
Definition MyGUI_LogStream.h:18
MyGUI::LogStream::End
Definition MyGUI_LogStream.h:21

Definition at line 20 of file MyGUI_LogManager.h.